Subject: Re: bug#15778: 24.3; cperl-mode causes emacs to lock up

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Nov 2013 09:15:32 -0500

> I'm having a really hard time debugging this with Edebug.  After I
> instrument the function (cperl-font-lock-fontify-region-function), the
> debugger is still not invoked when the function is entered.  If I add an
> explicit call to (edebug), it breaks correctly, but when I try to step
> past it, the debugger just exits, and the function resumes.

> Anyone have a suggestion?

You'll want to (setq font-lock-support-mode nil) before visiting the buffer.
If you can't reproduce the problem in that case, an alternative is to
use M-x jit-lock-debug-mode, which should help as well.

        Stefan